<odoo>
  <data>

    <record id="view_cs_community_window" model="ir.actions.act_window">
      <field name="name">Carsharing communitites</field>
      <field name="res_model">sm_carsharing_structure.cs_community</field>
      <field name="view_mode">tree,form</field>
    </record>

    <record id="view_cs_community_list" model="ir.ui.view">
      <field name="name">sm_carsharing_structure.cs_community.tree</field>
      <field name="model">sm_carsharing_structure.cs_community</field>
      <field name="arch" type="xml">
        <tree>
          <field name="name"/>
          <field name="analytic_account_id"/>
        </tree>
      </field>
    </record>
    <record id="view_cs_community_form" model="ir.ui.view">
      <field name="name">sm_carsharing_structure.cs_community.form</field>
      <field name="model">sm_carsharing_structure.cs_community</field>
      <field name="type">form</field>
      <field name="arch" type="xml">
        <form string="Edit cs carconfig" version="7.0" delete="false">
          <sheet>
            <notebook>
              <page string="General">
                <group>
                  <field name="name"/>
                  <field name="analytic_account_id"/>
                  <field name="cs_production_unit_ids" widget="many2many_list">
                    <tree string="CS production units" create="false" edit="true" delete="false" open="true">
                      <field name="name"/>
                      <field name="analytic_account_id"/>
                    </tree>
                  </field>
                </group>
              </page>
              <page string="Related Tasks">
                <field name="cs_task_ids"/>
              </page>
            </notebook>
          </sheet>
        </form>
      </field>
    </record>

    <menuitem name="CS Communities" id="sm_carsharing_structure.cs_community" parent="sm_carsharing_structure.menu_root"
          action="view_cs_community_window"/>

  </data>
</odoo>